using CityInfo.WEB.Models;

namespace CityInfo.WEB.Services
{
    public interface ICityDataService
    {
        public Task<IEnumerable<City>> GetCities();
        public Task<City> GetCity(int cityId);
        public Task<City> CreateCity(City city);
        public Task UpdateCity(City city);
        public Task DeleteCity(int cityId);
    }
}
